Subject: Re: [PATCH 2/2] fetch: use argv_array instead of hand-building arrays

From: Jens Lehmann <[email-masked]>
Date: Sat, 01 Sep 2012 16:34:32 +0200

Am 01.09.2012 13:27, schrieb Jeff King:
> Fetch invokes itself recursively when recursing into
> submodules or handling "fetch --multiple". In both cases, it
> builds the child's command line by pushing options onto a
> statically-sized array. In both cases, the array is
> currently just big enough to handle the largest possible
> case. However, this technique is brittle and error-prone, so
> let's replace it with a dynamic argv_array.
> 
> Signed-off-by: Jeff King <[email-masked]>
> ---
> Not very well tested by me, but hopefully it is simple enough that I
> managed not to screw it up.

This is definitely an improvement, and I can't spot any problems
either.

> It may be that fetch_populated_submodules would also benefit from
> conversion (here I just pass in the argc and argv separately), but I
> didn't look.

Yes, it does some similar brittle stuff and should be changed to use
the argv-array too. I'll look into that.